require("alien")

--[[
   -----------------------------------------------------
   DWORD GetPrivateProfileSection(
     LPCTSTR lpAppName,        // ZNV
     LPTSTR lpReturnedString,  // 񂪊i[obt@
     DWORD nSize,              // obt@̃TCY
     LPCTSTR lpFileName        // .ini t@C̖O
   );
]]
GetPrivateProfileSection      = alien.kernel32.GetPrivateProfileSectionA
GetPrivateProfileSection:types{     ret = 'int', abi = 'stdcall',  'string', 'pointer', 'int', 'string'}

--[[
   -----------------------------------------------------
   DWORD GetPrivateProfileSectionNames(
     LPTSTR lpszReturnBuffer,  // 񂪊i[obt@
     DWORD nSize,              // obt@̃TCY
     LPCTSTR lpFileName        // .ini t@C̖O
   );
]]
GetPrivateProfileSectionNames = alien.kernel32.GetPrivateProfileSectionNamesA
GetPrivateProfileSectionNames:types{ret = 'int', abi = 'stdcall', 'pointer', 'int', 'string'}

--[[
   -----------------------------------------------------
   UINT GetPrivateProfileInt(
     LPCTSTR lpAppName,  // ZNV
     LPCTSTR lpKeyName,  // L[
     INT nDefault,       // L[ȂꍇɕԂׂl
     LPCTSTR lpFileName  // .ini t@C̖O
   );
]]
GetPrivateProfileInt          = alien.kernel32.GetPrivateProfileIntA
GetPrivateProfileInt:types{         ret = 'uint', abi = 'stdcall', 'string', 'string', 'int', 'string'}

--[[
   -----------------------------------------------------
   DWORD GetPrivateProfileString(
     LPCTSTR lpAppName,        // ZNV
     LPCTSTR lpKeyName,        // L[
     LPCTSTR lpDefault,        // ̕
     LPTSTR lpReturnedString,  // 񂪊i[obt@
     DWORD nSize,              // obt@̃TCY
     LPCTSTR lpFileName        // .ini t@C̖O
   );
]]
GetPrivateProfileString       = alien.kernel32.GetPrivateProfileStringA
GetPrivateProfileString:types{      ret = 'int', abi = 'stdcall', 'string', 'string', 'string', 'pointer', 'int', 'string'}

--[[
   -----------------------------------------------------
   BOOL GetPrivateProfileStruct(
     LPCTSTR lpszSection,  // ZNṼAhX
     LPCTSTR lpszKey,      // L[̖ÕAhX
     LPVOID lpStruct,      // 擾l󂯎obt@̃AhX
     UINT uSizeStruct,     // 擾l󂯎obt@̃TCY
     LPCTSTR szFile        // t@C̖ÕAhX
   );
]]
GetPrivateProfileStruct             = alien.kernel32.GetPrivateProfileStructA
GetPrivateProfileStruct:types{      ret = 'int', abi = 'stdcall', 'string', 'string', 'pointer', 'uint', 'string'}

--[[
   -----------------------------------------------------
   BOOL WritePrivateProfileSection(
     LPCTSTR lpAppName,  // ZNV
     LPCTSTR lpString,   // ނׂf[^
     LPCTSTR lpFileName  // t@C
   );
]]
WritePrivateProfileSection    = alien.kernel32.WritePrivateProfileSectionA
WritePrivateProfileSection:types{   ret = 'int', abi = 'stdcall', 'string', 'string', 'string'}

--[[
   -----------------------------------------------------
   BOOL WritePrivateProfileString(
     LPCTSTR lpAppName,  // ZNV
     LPCTSTR lpKeyName,  // L[
     LPCTSTR lpString,   // ǉׂ
     LPCTSTR lpFileName  // .ini t@C
   );
]]
WritePrivateProfileString     = alien.kernel32.WritePrivateProfileStringA
WritePrivateProfileString:types{    ret = 'int', abi = 'stdcall', 'string', 'string', 'string', 'string'}

--[[
   -----------------------------------------------------
   BOOL WritePrivateProfileStruct(
     LPCTSTR lpszSection,  // ZNVւ̃|C^
     LPCTSTR lpszKey,  // L[̖Oւ̃|C^
     LPVOID lpStruct,  // ǉf[^obt@ւ̃|C^
     UINT uSizeStruct, // obt@̃TCY ioCgj
     LPCTSTR szFile    // t@C̖Oւ̃|C^
   );
]]
WritePrivateProfileStruct           = alien.kernel32.WritePrivateProfileStructA
WritePrivateProfileStruct:types{      ret = 'int', abi = 'stdcall', 'string', 'string', 'pointer', 'uint', 'string'}
